Get All
const url = 'https://app.civillo.com/api/v1/example/projects/1/groups';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.civillo.com/api/v1/example/projects/1/groups \ --header 'Authorization: Bearer <token>'Return all groups in the project scope. Only includes the properties available based on user’s role.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”The organization nickname
The project id
Responses
Section titled “ Responses ”Successful response
object
The unique identifier for this group.
Group users will be restricted to viewing points of interest with these tags.
The name of this group.
The color this group is displayed with.
If true, the group will not be displayed next to users’ names.
If true, allow work orders to be assigned to this group.
If set to true, non-admins with the GroupManagement group role will be able to see and manage this group via the admin group management page.
Note that selecting this option and adding a role to this group will result in such non-admins being able to add any other project users to this group, hereby granting them this role.
Ensure you are aware of these permissions implications before configuring this group as such.
Array of integer-enumerated group roles to be assigned to the group (see Create endpoint description).
The time at which the group was created.
Example
[ { "name": "My group", "color": "#6200EE", "hidden": false, "isWorkOrderAssignable": true, "managedByRole": false, "roles": [ 1, 4, 16 ] }]Unauthorized
Example
Invalid key/secret pair